package com.zzsn.generation.autotype;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

/**
 * 对应systemtype表的一个一级节点及这个一级节点的所有子节点
 * 创建人：李东亮   
 * 创建时间：2015-8-20 下午2:30:38   
 * 公司 ：郑州数能软件科技有限公司
 * @version  1.0  
 *
 */
public class Crowd  implements Serializable{
	//分类模式，1:互斥/2:并行
	protected Integer mutexNode;
	//节点类型
	protected String nodeType;
	protected Set<TypeResult> validItems = new HashSet<TypeResult>();

	public Set<TypeResult> getValidItems() {
		return validItems;
	}
	
	public Integer getMutexNode() {
		return mutexNode;
	}

	public void setMutexNode(Integer mutexNode) {
		this.mutexNode = mutexNode;
	}

	public String getNodeType() {
		return nodeType;
	}

	public void setNodeType(String nodeType) {
		this.nodeType = nodeType;
	}

	
}
